import * as interaction from './Interaction';
export declare class PanZoom extends interaction.Interaction {
    render(): void;
    update_scales(): void;
    set_ranges(): void;
    mousedown(): void;
    mouseup(): void;
    mousemove(): void;
    mousewheel(): void;
    set_scale_attribute(scale: any, attribute_name: any, value: any): void;
    active: boolean;
    scale_promises: any;
    previous_pos: any;
    domains_in_order: any;
}
